For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesWhite-labelAPI Reference
GuidesWhite-labelAPI Reference
  • Panic API Reference
      • GETList active customer callouts
      • POSTRaise a customer callout
      • POSTRaise a callout (legacy)
      • GETList active callouts
      • GETGet a callout
      • POSTStream location and return callout
      • POSTStream a location update
      • GETRead callout events
      • POSTSend a callout event
      • GETList cancellation reasons
      • POSTCreate a cancellation reason
      • GETGenerate a resolution report
      • GETGet a callout map
      • POSTDismiss a callout
      • POSTCancel a callout
      • GETList rating items
      • POSTSubmit a rating item
      • POSTSubmit a callout rating
    • Errors & status codes
LogoLogo
Panic API ReferenceCallouts

Create a cancellation reason

POST
/panic-api/v2/callouts/:calloutId/exceptionReasons
POST
/panic-api/v2/callouts/:calloutId/exceptionReasons
$curl -X POST https://staging-panic.aura.services/panic-api/v2/callouts/992011/exceptionReasons \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "id": 12345,
3 "reason": "Customer requested cancellation due to resolved emergency"
4}
Adds an exception reason to a callout cancellation flow.
Was this page helpful?
Previous

Generate a resolution report

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

calloutIdintegerRequired
Callout identifier.

Request

This endpoint expects an object.
exceptionReasonIdintegerOptional
notesstringOptional

Response

Exception reason created.
idinteger
reasonstring

Errors

400
Bad Request Error
401
Unauthorized Error